#include <bits/stdc++.h>
using namespace std;


int main()
{ ifstream f1("CAU1_16.INP");
  ofstream f2("CAU1_16.OUT");
 long long a,b,c,i,n;
 f1>>a;
  f1>>b;
  f1>>c;
  n=1;
  for (i=a;i<=b;i++)

  {n=(n*i)%c;}
  f2 <<n;

   return 0;
}
